## org.apache.poi.hwpf.model
Class BookmarksTables

    java.lang.Object
      org.apache.poi.hwpf.model.BookmarksTables

    @Internal
    public class BookmarksTables

extends java.lang.Object

Constructor Summary
`BookmarksTables(byte[] tableStream, FileInformationBlock fib)`

Method Summary
`void` `afterDelete(int startCp, int length)`
`void` `afterInsert(int startCp, int length)`
`int` `getBookmarksCount()`
`GenericPropertyNode` `getDescriptorFirst(int index)`
`int` `getDescriptorFirstIndex(GenericPropertyNode descriptorFirst)`
`GenericPropertyNode` `getDescriptorLim(int index)`
`int` `getDescriptorsFirstCount()`
`int` `getDescriptorsLimCount()`
`java.lang.String` `getName(int index)`
`int` `getNamesCount()`
`void` `remove(int index)`
`void` `setName(int index, java.lang.String name)`
`void` `writePlcfBkmkf(FileInformationBlock fib, HWPFOutputStream tableStream)`
`void` `writePlcfBkmkl(FileInformationBlock fib, HWPFOutputStream tableStream)`
`void` `writeSttbfBkmk(FileInformationBlock fib, HWPFOutputStream tableStream)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BookmarksTables

    public BookmarksTables(byte[] tableStream,
                           FileInformationBlock fib)

Method Detail

### afterDelete

    public void afterDelete(int startCp,
                            int length)

### afterInsert

    public void afterInsert(int startCp,
                            int length)

### getBookmarksCount

    public int getBookmarksCount()

### getDescriptorFirst

    public GenericPropertyNode getDescriptorFirst(int index)
                                           throws java.lang.IndexOutOfBoundsException

  Throws:
    `java.lang.IndexOutOfBoundsException`

### getDescriptorFirstIndex

    public int getDescriptorFirstIndex(GenericPropertyNode descriptorFirst)

### getDescriptorLim

    public GenericPropertyNode getDescriptorLim(int index)
                                         throws java.lang.IndexOutOfBoundsException

  Throws:
    `java.lang.IndexOutOfBoundsException`

### getDescriptorsFirstCount

    public int getDescriptorsFirstCount()

### getDescriptorsLimCount

    public int getDescriptorsLimCount()

### getName

    public java.lang.String getName(int index)

### getNamesCount

    public int getNamesCount()

### remove

    public void remove(int index)

### setName

    public void setName(int index,
                        java.lang.String name)

### writePlcfBkmkf

    public void writePlcfBkmkf(FileInformationBlock fib,
                               HWPFOutputStream tableStream)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### writePlcfBkmkl

    public void writePlcfBkmkl(FileInformationBlock fib,
                               HWPFOutputStream tableStream)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeSttbfBkmk

    public void writeSttbfBkmk(FileInformationBlock fib,
                               HWPFOutputStream tableStream)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.